> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dscribeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Durations



## OpenAPI

````yaml POST /durations
openapi: 3.0.1
info:
  title: dScribe AI
  version: '1.0'
servers:
  - url: https://api.scribesocial.ai/v1
security: []
paths:
  /durations:
    post:
      tags:
        - SocialMediaTranscription
      parameters:
        - name: includeMetadata
          in: query
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchSocialMediaVideoDurationRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchSocialMediaVideoDurationResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    BatchSocialMediaVideoDurationRequest:
      type: object
      properties:
        post_urls:
          type: array
          items:
            type: string
          nullable: false
      additionalProperties: false
    BatchSocialMediaVideoDurationResponse:
      type: object
      properties:
        durations:
          type: array
          items:
            $ref: '#/components/schemas/VideoMetadata'
          nullable: false
      additionalProperties: false
    VideoMetadata:
      type: object
      properties:
        video_url:
          type: string
          nullable: true
        video_id:
          type: string
          nullable: true
        duration:
          type: number
          format: double
          nullable: true
        metadata:
          oneOf:
            - $ref: '#/components/schemas/TwitterMetadata'
              title: Twitter
            - $ref: '#/components/schemas/YouTubeMetadata'
              title: YouTube
            - $ref: '#/components/schemas/TikTokMetadata'
              title: TikTok
            - $ref: '#/components/schemas/InstagramMetadata'
              title: Instagram
        error:
          type: string
          nullable: true
          enum:
            - UnsupportedUrl
            - InvalidUrl
            - TooManyBatchUrls
            - NoBatchUrls
            - TooManyDurationsUrls
            - NSFWUnsupported
            - PostNotFoundOrUnavailable
            - PostContainsNoVideo
            - Unknown
          default: null
      additionalProperties: false
    TwitterMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
        retweet_count:
          type: integer
          format: int64
          nullable: false
        quote_count:
          type: integer
          format: int64
          nullable: false
      nullable: true
      additionalProperties: false
    YouTubeMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
      nullable: true
      additionalProperties: false
    TikTokMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
        share_count:
          type: integer
          format: int64
          nullable: false
        play_count:
          type: integer
          format: int64
          nullable: false
      nullable: true
      additionalProperties: false
    InstagramMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
      nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````